This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 208068 - [hi_IN, mr_IN] A GPOS shape showing wrong at present - Priority - A
[hi_IN, mr_IN] A GPOS shape showing wrong at present - Priority - A
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Rahul Bhalerao
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 04:28 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-28 06:01:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The shape showing now (2.74 KB, image/png)
2006-09-26 04:31 EDT, Satyabrata Maitra
no flags Details
The shape should show -- Correct shape (4.06 KB, image/jpeg)
2006-09-26 04:32 EDT, Satyabrata Maitra
no flags Details
Patch (3.47 KB, patch)
2006-09-28 11:59 EDT, Rahul Bhalerao
no flags Details | Diff
Verified Image (4.50 KB, image/png)
2007-04-28 06:00 EDT, A S Alam
no flags Details

  None (edit)
Description Satyabrata Maitra 2006-09-26 04:28:40 EDT
Description of problem:
The Unicode combination : U+0936 U+0943 which is hindi and marathi SHA + VOCALIC
R, is showing wrong at present!! The image of both wrong and correct shape is
attached with this bug. Pls have a look.

Version-Release number of selected component (if applicable):
fonts-hindi-2.0.4-1
pango-1.14.4-1.fc6
pango-devel-1.14.4-1.fc6 


How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. Activate SCIM and select RAWCODE from the Others in the scim table
3. Type the unicode combination.
4. Observe the result
  
Actual results:
The shape showing now is wrong

Expected results:
The shape should correctly showing

Additional info:
Comment 1 Satyabrata Maitra 2006-09-26 04:31:24 EDT
Created attachment 137115 [details]
The shape showing now
Comment 2 Satyabrata Maitra 2006-09-26 04:32:11 EDT
Created attachment 137116 [details]
The shape should show -- Correct shape
Comment 3 Rahul Bhalerao 2006-09-28 11:59:36 EDT
Created attachment 137320 [details]
Patch

Not a GPOS issue. Needs substitution. Added a glyph and the ligature rule for
it.
Comment 4 Lawrence Lim 2006-09-28 19:36:37 EDT
Could you please provide package name and version??
Comment 5 Lawrence Lim 2006-09-28 22:13:47 EDT
Current rawhide version is the same version as the one reported in the bug.
Comment 6 Leon Ho 2006-09-29 02:56:29 EDT
Built in 2.0.5-1.
Comment 7 A S Alam 2007-04-28 06:00:57 EDT
Created attachment 153696 [details]
Verified Image
Comment 8 A S Alam 2007-04-28 06:01:59 EDT
CLOSE:
it is verified it is Verified with following package:
fonts-hindi-2.1.5-1.fc7

Note You need to log in before you can comment on or make changes to this bug.